Desktop-AuthMit E-Mail und Passwort registrieren

Mit E-Mail und Passwort registrieren

Ein neues Konto erstellen. Je nach Supabase-Einstellungen wird eine vollständige Session oder ein Benutzerobjekt mit needs_email_confirm=true zurückgegeben.

curl -X POST "https://api.talkturo.com/api/auth/sign-up" \
  -H "Content-Type: application/json" \
  -d '{
  "email": "user@example.com",
  "password": "example_string"
}'
{
  "success": true,
  "data": {
    "needs_email_confirm": true,
    "access_token": "example_string",
    "refresh_token": "example_string",
    "expires_in": 42,
    "expires_at": 42,
    "token_type": "example_string",
    "user": {
      "id": "example_string",
      "email": "user@example.com",
      "user_metadata": {}
    }
  }
}
POST
/auth/sign-up
POST
Base URLstring

Target server for requests. Edit to use your own host.

Content-Typestring
Required

The media type of the request body

Options: application/json
emailstring
Required
Format: email
passwordstring
Required
Format: password
Request Preview
Response

Response will appear here after sending the request

Responses

successboolean
dataobject